# Private Aggregation Report Goldens

This directory contains a set of golden files (JSON reports) that are valid
aggregatable reports generated by the Chrome client for server
interoperability testing.

The subdirectory latest/ contains files matching the current implementation,
and files matching old versions' implementations will be archived in
version_{x}/ where {x} represents a specific version string.

Each subdirectory includes a private/public key pair which are base64-encoded
and can be used to encrypt/decrypt the data. See
//third_party/boringssl/src/include/openssl/hpke.h for Hybrid Public Key
Encryption (HPKE).

## Keep files up to date

//content/browser/private_aggregation/private_aggregation_report_golden_unittest.cc
contains tests that run on the files for latest/ to ensure that the golden
report format matches the format produced by the current implementation
(ignoring randomness like the exact encrypted string).

## Version history

The history of report versions is listed below, with links to past commits of
documentation.

TODO: Replace past explainer links with draft spec when available.

| Version string | Explainer | Payload encryption details | Changes |
| --- | --- | --- | --- |
| "" (empty string) | [link](https://github.com/patcg-individual-drafts/private-aggregation-api) | n/a | Placeholder legacy version. TODO: remove directory and explainer row when first version bump occurs. |
| "`0.1`" | [link](https://github.com/patcg-individual-drafts/private-aggregation-api) | [link](https://chromium.googlesource.com/chromium/src/+/57a65e032513965829e3ed1c1cd20b39d63d2224/content/browser/aggregation_service/payload_encryption.md) | n/a (initial release).

## Golden Report Descriptions

1. Debug report, 1 contribution, Protected Audience API.
2. Non-debug report, 1 contribution, Protected Audience API.
3. Debug report, 2 contributions, Shared Storage API.
4. Non-debug report, 2 contributions, Shared Storage API.
5. Debug report, key with extreme value, Protected Audience API.
6. Non-debug report, key with extreme value, Protected Audience API.
7. Non-debug report, null report, Shared Storage API
